ChartDirector Ver 4.1 (PHP Edition Edition)

Axis.syncAxis

Usage

syncAxis(axis [, slope [, intercept ]])

Description

Synchronizes this axis with another axis using a linear formula.
This method is typically used if the two axes represent the same quantity but in different units. For example, one axis may represent temperature in Celsius, and the other in Fahrenheit, or they may represent lengths in meters and feet.
The scale of this axis (value) will be related to the scale of the another axis (value2) using the following formula:
value = value2 * slope + intercept
Typically, one of the axis will be for actual charting, and its scale will be determined in the standard way using auto or manual scaling. Then the second axis is set to synchronize with the first axis.

Arguments

Argument | Default | Description
--- | --- | ---
axis | (Mandatory) | The axis to synchronize to.
slope | 1 | The slope for synchronizing this axis to the other axis.
intercept | 0 | The intercept parameter for synchronizing this axis to the other axis.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.